Cyberduck Mountain Duck CLI

#3818 closed enhancement (duplicate)

Lookup UID and GID

Reported by: georg@… Owned by: dkocher
Priority: normal Milestone:
Component: sftp Version: 3.3b4
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

When I'm working via scp I want to see user name and group name columns, because when I forget to set them correctly for new files and directories, websites of other users do not work, because the files then are owned by me instead of them. In the command shell using ssh and ls -l I see the names, but in cyberduck they are currently provided only in the Info window. Sometime cyberduck only displays the ID of user and group there. Usually it should be able to retrieve the names from /etc/passwd of the external server, if it is a unix machine. May be there is also an API for retrieving a username from the users ID and the group name from the group ID.

Change History (6)

comment:1 Changed on Oct 15, 2009 at 8:43:41 AM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed
  • Summary changed from Displaying unser name and group name in the file and directory list to Display user name and group in the browser

Choose View → Columns → Owner and View → Columns → Group.

comment:2 Changed on Oct 15, 2009 at 8:55:14 AM by georgmaass

there are two things:

first I was blind and did not detect where to enable displaying the columns. second, it displays only the ID numbers (better than nothing), but does not lookup the names. Could it be extended to resolving the names i.e. by looing tonto the servers /etc/passwd and /etc/group.

comment:3 Changed on Oct 15, 2009 at 9:49:22 AM by dkocher

  • Component changed from core to sftp
  • Resolution worksforme deleted
  • Status changed from closed to reopened
  • Summary changed from Display user name and group in the browser to Lookup UID and GID

comment:4 Changed on Dec 19, 2009 at 10:35:24 PM by dkocher

Should use SSH_FILEXFER_ATTR_OWNERGROUP.

comment:5 Changed on Aug 10, 2010 at 9:14:52 AM by dkocher

Duplicate for #15.

comment:6 Changed on Nov 20, 2010 at 6:37:15 PM by dkocher

  • Resolution set to duplicate
  • Status changed from reopened to closed
Note: See TracTickets for help on using tickets.
swiss made software